MCP
List connected AI clients
The workspace’s connected AI clients: one revocable, expiring credential each, usable only on POST /v1/mcp.
GET
/
v1
/
mcp
/
connections
List connected AI clients
curl --request GET \
--url https://api.sempera.org/v1/mcp/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/mcp/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/mcp/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "<string>",
"object": "mcp_connection",
"name": "<string>",
"kind": "<string>",
"role": "<string>",
"scopes": [
"<string>"
],
"key_prefix": "<string>",
"workspace_id": "<string>",
"status": "active",
"created_at": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>",
"last_used_at": "<string>",
"client": "<string>",
"label": "<string>",
"access": "read",
"call_records": true,
"phone": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
Query Parameters
Available options:
active, all ⌘I
List connected AI clients
curl --request GET \
--url https://api.sempera.org/v1/mcp/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/mcp/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/mcp/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "<string>",
"object": "mcp_connection",
"name": "<string>",
"kind": "<string>",
"role": "<string>",
"scopes": [
"<string>"
],
"key_prefix": "<string>",
"workspace_id": "<string>",
"status": "active",
"created_at": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>",
"last_used_at": "<string>",
"client": "<string>",
"label": "<string>",
"access": "read",
"call_records": true,
"phone": true
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}